Jump to content

Tips for drawing and outputing an electronic system diagram in ZWCAD


Sirine
 Share

Recommended Posts

I recently learned some tricks on drawing and exporting an electronic system diagram, which has been really helpful in saving my time. So I thought it'd be nice to share with you guys.

I did my drawing on ZWCAD, as I recently switched from AutoCAD to it for a lower cost. If you also use ZWCAD, feel free to comment below.

Tip 1 - Use Block Attribute to create a customized component library for easy reuse

 

Step 1. Start the Tool Palette through [Tools] and click [Tool Palette Window] or use the shortcut command [Ctrl+3] on the menu bar.

 

Step 2. Select the required component block on the current drawing, then hold down the left mouse button, drag it to the tool palette and release it. After that, the block will be added to the Tool Palette.


Tip 2 - Use ZWCAD Smart Plot to output multiple electronic diagrams all at once

Step 1. Open the drawing to be printed, click [File] in the toolbar, and then click [Smart Batch Plot].

Step 2. Select the printing device and choose a [Frame Style] in the pop-up dialog box.

Step 3. Click [Select batch drawings], and select the drawings to be printed.

Step 4. Click [Highlight], and finally click [Plot].

 

297c33f744a0c84d0c262cee5fbc76b6.png

Link to comment
Share on other sites

Its been a while since I played with ZWCAD. Does Zwcad support VL if so opens a world of code that will overwhelm you. Jump over comes to mind in electrical, showing cables crossing.

 

Try this lisp pick an object you should see all the properties when you pick an object.

 

;;;===================================================================; 
;;; DumpIt                                                            ; 
;;;-------------------------------------------------------------------; 
;;; Dump all methods and properties for selected objects              ; 
;;;===================================================================; 
(defun C:Dumpit ( / ent) 
  (while (setq ent (entsel)) 
    (vlax-Dump-Object 
      (vlax-Ename->Vla-Object (car ent)) 
    ) 
  ) 
  (princ) 
)

 

; IAcadLWPolyline 239a75a0 : TeighaX Interface of 2D line with adjustable width composed of line and arc segments entity
; Property values :
;   Area (RO) = 69.4873606884766
;   Closed = -1
;   Color = 256
;   ConstantWidth = 0.0
;   Coordinate = NIL
;   Coordinates = (-4.1 0.6 8.79885080690132 0.6 7.09885080690132 -7.89230504881907 3.16140580524884 -9.49230504881907 3.16140580524884 -5.89476188374651 -1.23803240011145 -5.89476188374651 -1.23803240011145 -3.43051283836951 1.55950298008096 -3.43051283836951 1.55950298008096 -1.230514148244 -1.94034419979808 -1.230514148244)

...................

 

 

Edited by BIGAL
Link to comment
Share on other sites

9 hours ago, BIGAL said:

Its been a while since I played with ZWCAD. Does Zwcad support VL if so opens a world of code that will overwhelm you. Jump over comes to mind in electrical, showing cables crossing.

 

Try this lisp pick an object you should see all the properties when you pick an object.

 

;;;===================================================================; 
;;; DumpIt                                                            ; 
;;;-------------------------------------------------------------------; 
;;; Dump all methods and properties for selected objects              ; 
;;;===================================================================; 
(defun C:Dumpit ( / ent) 
  (while (setq ent (entsel)) 
    (vlax-Dump-Object 
      (vlax-Ename->Vla-Object (car ent)) 
    ) 
  ) 
  (princ) 
)

 

; IAcadLWPolyline 239a75a0 : TeighaX Interface of 2D line with adjustable width composed of line and arc segments entity
; Property values :
;   Area (RO) = 69.4873606884766
;   Closed = -1
;   Color = 256
;   ConstantWidth = 0.0
;   Coordinate = NIL
;   Coordinates = (-4.1 0.6 8.79885080690132 0.6 7.09885080690132 -7.89230504881907 3.16140580524884 -9.49230504881907 3.16140580524884 -5.89476188374651 -1.23803240011145 -5.89476188374651 -1.23803240011145 -3.43051283836951 1.55950298008096 -3.43051283836951 1.55950298008096 -1.230514148244 -1.94034419979808 -1.230514148244)

...................

 

 

That's so cooool! Thanks for sharing this trick!

Link to comment
Share on other sites

So it worked Ok ?

 

Sent you a private mail also.

 

Just google "Electric yoursubject autocad lisp" should reveal lots of programs.

Link to comment
Share on other sites

9 hours ago, BIGAL said:

So it worked Ok ?

 

Sent you a private mail also.

 

Just google "Electric yoursubject autocad lisp" should reveal lots of programs.

Yes! I copied the code, created a script file, and loaded it in ZWCAD.

 

It works perfectly in ZWCAD as well! Check out the attched screenshot.

Lisp.png

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...